--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "CAUTION: caller must aware of race condition."
full_name: HTTPClient::timeout_scheduler
is_singleton: true
name: timeout_scheduler
params: ()
visibility: public
